Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class JavaBasePlugin

    java.lang.Object
      org.gradle.api.plugins.JavaBasePlugin

All Implemented Interfaces:
  Plugin

    public class JavaBasePlugin
    extends java.lang.Object

A Plugin which compiles and tests Java source, and assembles it into a JAR file.

Authors:
  Hans Dockter

Field Summary
`static java.lang.String` | `BUILD_DEPENDENTS_TASK_NAME`
`static java.lang.String` | `BUILD_NEEDED_TASK_NAME`
`static java.lang.String` | `BUILD_TASK_NAME`
`static java.lang.String` | `CHECK_TASK_NAME`
`static java.lang.String` | `DOCUMENTATION_GROUP`
`static java.lang.String` | `VERIFICATION_GROUP`

Method Summary
`void` | `apply(Project project)`
`void` | `configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### BUILD_DEPENDENTS_TASK_NAME

    public static final java.lang.String BUILD_DEPENDENTS_TASK_NAME

### BUILD_NEEDED_TASK_NAME

    public static final java.lang.String BUILD_NEEDED_TASK_NAME

### BUILD_TASK_NAME

    public static final java.lang.String BUILD_TASK_NAME

### CHECK_TASK_NAME

    public static final java.lang.String CHECK_TASK_NAME

### DOCUMENTATION_GROUP

    public static final java.lang.String DOCUMENTATION_GROUP

### VERIFICATION_GROUP

    public static final java.lang.String VERIFICATION_GROUP

Method Detail

### apply

    public void apply(Project project)

### configureForSourceSet

    public void configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)

Groovy Documentation